Package org.opensaml.soap.wstrust

# Interface CombinedHash

All Superinterfaces:
  `WSTrustObject`, `XMLObject`, `XSBase64Binary`

All Known Implementing Classes:
  `CombinedHashImpl`

public interface CombinedHash extends XSBase64Binary, WSTrustObject
The wst:CombinedHash element.

See Also:
  - "WS-Trust 1.3, Chapter 8.9 Authenticating Exchanges."

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTH_HASH`
The fixed string "AUTH-HASH" used in computing the value of the combined hash.
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.

### Fields inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`TYPE_LOCAL_NAME, TYPE_NAME`

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`getValue, setValue`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### AUTH_HASH

@Nonnull @NotEmpty static final String AUTH_HASH
The fixed string "AUTH-HASH" used in computing the value of the combined hash.

See Also:
  - Constant Field Values